Subject: GSHK v1.1 BASIC patch :-)
From: [email-masked] (Christian_Karpp)
Date: Tue, 13 Oct 1992 11:30:56 GMT
Newsgroups: comp.sys.apple2

Hi out there...!
As one guy already mentioned yesterday there's a problem with the new version
of GSHK v1.1.
The self-extracting archive (GSHK11.SEA) which is actually a S16 file can't
be started (giving you a SystemLoader err $1104 - "Not a load file").
Since I'm not that familiar with the "GS/OS-guts" but wanted to take a look
at the new GSHK, I wrote that little "nitty-gritty" BASIC program to strip
off the self-extractor header and unpacked the remaining archive with the
latest version of GSHK which I had (1.0.6).
I had no problems at all - and since it's quite simple and quite fast, I
thought I'm going to post this little pgm so you can use the file you've
already downloaded and don't have to wait for a repost...

 100 D$ =  CHR$ (4)
 110  PRINT D$"create gshk11.shk,t$e0"
 120  FOR I = 1 TO 6: PRINT D$"bload gshk11.sea,ts16,a$2000,l$4000,b"12005 + (I - 1) * 16384
 130  PRINT "writing chunk #"I
 140  PRINT D$"bsave gshk11.shk,t$e0,a$2000,l$4000,b"0 + (I - 1) * 16384
 150  NEXT : PRINT D$"bload gshk11.sea,ts16,a$2000,l7819,b"12005 + 6 * 16384
 160  PRINT D$"bsave gshk11.shk,t$e0,a$2000,l7819,b"0 + 6 * 16384

BTW: I found the "12005-offset" with BLOCK.WARDENs (great old utility by
Glen Bredon, btw) follow-file/search string-option (searched for "NuFile"s
2nd occurrence...)

have fun ;-)
CiderMan

oh, and of course: THANX ANDY!!! GREAT NEW STUFF IN V1.1!